module R10.Svg.Lists exposing (listIcons, listIconsExtra, listLogos, listLogosExtra, listOthers)

{-| These are just lists of icons to generate the live guidelines.

@docs listIcons, listIconsExtra, listLogos, listLogosExtra, listOthers

-}

import Color
import Element exposing (..)
import R10.Svg.Icons
import R10.Svg.IconsExtra
import R10.Svg.Logos
import R10.Svg.LogosExtra
import R10.Svg.Others



-- LISTS


{-| -}
listOthers : Int -> Color.Color -> List ( Element msg, String )
listOthers size cl =
    [ ( R10.Svg.Others.mountain [] size, "mountain" )
    , ( R10.Svg.Others.mobileWithPerson [] cl size, "mobileWithPerson" )
    ]


{-| -}
listLogosExtra : Int -> Color.Color -> List ( Element msg, String )
listLogosExtra size cl =
    [ ( R10.Svg.LogosExtra.elm [] size, "elm" )
    , ( R10.Svg.LogosExtra.elm_monochrome [] cl size, "elm_monochrome" )
    , ( R10.Svg.LogosExtra.visa [] size, "visa" )
    , ( R10.Svg.LogosExtra.visa_monochrome [] cl size, "visa_monochrome" )
    , ( R10.Svg.LogosExtra.americanExpress [] size, "americanExpress" )
    , ( R10.Svg.LogosExtra.americanExpress_monochrome [] cl size, "americanExpress_monochrome" )
    , ( R10.Svg.LogosExtra.apple [] size, "apple" )
    , ( R10.Svg.LogosExtra.apple_monochrome [] cl size, "apple_monochrome" )
    , ( R10.Svg.LogosExtra.facebook [] size, "facebook" )
    , ( R10.Svg.LogosExtra.facebook_monochrome [] cl size, "facebook_monochrome" )
    , ( R10.Svg.LogosExtra.google [] size, "google" )
    , ( R10.Svg.LogosExtra.google_monochrome [] cl size, "google_monochrome" )
    , ( R10.Svg.LogosExtra.microsoft [] size, "microsoft" )
    , ( R10.Svg.LogosExtra.microsoft_monochrome [] cl size, "microsoft_monochrome" )
    , ( R10.Svg.LogosExtra.pcHome24hours [] size, "pcHome24hours" )
    , ( R10.Svg.LogosExtra.pcHome24hours_monochrome [] cl size, "pcHome24hours_monochrome" )
    , ( R10.Svg.LogosExtra.github [] cl size, "github" )
    , ( R10.Svg.LogosExtra.cardVisa [] size, "cardVisa" )
    , ( R10.Svg.LogosExtra.cardMasterCard [] size, "cardMasterCard" )
    , ( R10.Svg.LogosExtra.cardDiscover [] size, "cardDiscover" )
    , ( R10.Svg.LogosExtra.cardJCB [] size, "cardJCB" )
    , ( R10.Svg.LogosExtra.cardAmericanExpress [] size, "cardAmericanExpress" )
    ]


{-| -}
listLogos : Int -> Color.Color -> List ( Element msg, String )
listLogos size cl =
    [ ( R10.Svg.Logos.authenticator [] cl size, "authenticator" )
    , ( R10.Svg.Logos.authenticator_monochrome [] cl size, "authenticator_monochrome" )
    , ( R10.Svg.Logos.r [] cl size, "r" )
    , ( R10.Svg.Logos.rakuten [] cl size, "rakuten" )
    , ( R10.Svg.Logos.rakutenMarketing [] cl size, "rakutenMarketing" )
    , ( R10.Svg.Logos.rakutenRagri [] cl size, "rakutenRagri" )
    , ( R10.Svg.Logos.rakutenReady [] cl size, "rakutenReady" )
    ]


{-| -}
listIconsExtra : Int -> Color.Color -> List ( Element msg, String )
listIconsExtra size cl =
    [ ( R10.Svg.IconsExtra.add [] cl size, "add" )
    , ( R10.Svg.IconsExtra.bug [] cl size, "bug" )
    , ( R10.Svg.IconsExtra.arrowBack [] cl size, "arrowBack" )
    , ( R10.Svg.IconsExtra.arrowForward [] cl size, "arrowForward" )
    , ( R10.Svg.IconsExtra.grid [] cl size, "grid" )
    , ( R10.Svg.IconsExtra.play [] cl size, "play" )
    , ( R10.Svg.IconsExtra.pause [] cl size, "pause" )
    , ( R10.Svg.IconsExtra.close [] cl size, "close" )
    , ( R10.Svg.IconsExtra.clear [] cl size, "clear" )
    , ( R10.Svg.IconsExtra.submit [] cl size, "submit" )
    , ( R10.Svg.IconsExtra.love [] cl size, "love" )
    , ( R10.Svg.IconsExtra.respect [] cl size, "respect" )
    , ( R10.Svg.IconsExtra.organize [] cl size, "organize" )
    , ( R10.Svg.IconsExtra.customSupport [] cl size, "customSupport" )
    , ( R10.Svg.IconsExtra.card [] cl size, "card" )
    , ( R10.Svg.IconsExtra.highFive [] cl size, "highFive" )
    , ( R10.Svg.IconsExtra.moon [] cl size, "moon" )
    , ( R10.Svg.IconsExtra.paperPlane [] cl size, "paperPlane" )
    , ( R10.Svg.IconsExtra.internet [] cl size, "internet" )
    , ( R10.Svg.IconsExtra.email [] cl size, "email" )
    , ( R10.Svg.IconsExtra.waveHand [] cl size, "waveHand" )
    , ( R10.Svg.IconsExtra.training [] cl size, "training" )
    , ( R10.Svg.IconsExtra.startup [] cl size, "startup" )
    , ( R10.Svg.IconsExtra.fireworks [] cl size, "fireworks" )
    , ( R10.Svg.IconsExtra.alarmClock [] cl size, "alarmClock" )
    , ( R10.Svg.IconsExtra.conversation [] cl size, "conversation" )
    , ( R10.Svg.IconsExtra.sun [] cl size, "sun" )
    , ( R10.Svg.IconsExtra.checkBold [] cl size, "checkBold" )
    , ( R10.Svg.IconsExtra.keyboardArrowDown [] cl size, "keyboardArrowDown" )
    , ( R10.Svg.IconsExtra.delete [] cl size, "delete" )
    , ( R10.Svg.IconsExtra.restore [] cl size, "restore" )
    , ( R10.Svg.IconsExtra.keyboardArrowUp [] cl size, "keyboardArrowUp" )
    , ( R10.Svg.IconsExtra.search [] cl size, "search" )
    , ( R10.Svg.IconsExtra.more_vert [] cl size, "more_vert" )
    , ( R10.Svg.IconsExtra.aToZ [] cl size, "aToZ" )
    , ( R10.Svg.IconsExtra.darkLight [] cl size, "darkLight" )
    , ( R10.Svg.IconsExtra.validation_clear [] cl size, "validation_clear" )
    , ( R10.Svg.IconsExtra.validation_error [] cl size, "validation_error" )
    , ( R10.Svg.IconsExtra.validation_check [] cl size, "validation_check" )
    ]


{-| -}
listIcons : Int -> Color.Color -> List ( Element msg, String )
listIcons size cl =
    [ ( R10.Svg.Icons.arrow_down_l [] cl size, "arrow_down_l" )
    , ( R10.Svg.Icons.arrow_left_l [] cl size, "arrow_left_l" )
    , ( R10.Svg.Icons.arrow_right_l [] cl size, "arrow_right_l" )
    , ( R10.Svg.Icons.arrow_link_l [] cl size, "arrow_link_l" )
    , ( R10.Svg.Icons.arrow_up_l [] cl size, "arrow_up_l" )
    , ( R10.Svg.Icons.barcode_f [] cl size, "barcode_f" )
    , ( R10.Svg.Icons.barcode_l [] cl size, "barcode_l" )
    , ( R10.Svg.Icons.blockquote_left [] cl size, "blockquote_left" )
    , ( R10.Svg.Icons.blockquote_right [] cl size, "blockquote_right" )
    , ( R10.Svg.Icons.browsing_history_f [] cl size, "browsing_history_f" )
    , ( R10.Svg.Icons.browsing_history_l [] cl size, "browsing_history_l" )
    , ( R10.Svg.Icons.building_f [] cl size, "building_f" )
    , ( R10.Svg.Icons.building_l [] cl size, "building_l" )
    , ( R10.Svg.Icons.bus_f [] cl size, "bus_f" )
    , ( R10.Svg.Icons.bus_l [] cl size, "bus_l" )
    , ( R10.Svg.Icons.button_chevron_left_f [] cl size, "button_chevron_left_f" )
    , ( R10.Svg.Icons.button_chevron_left_l [] cl size, "button_chevron_left_l" )
    , ( R10.Svg.Icons.button_chevron_right_f [] cl size, "button_chevron_right_f" )
    , ( R10.Svg.Icons.button_chevron_right_l [] cl size, "button_chevron_right_l" )
    , ( R10.Svg.Icons.button_minus_f [] cl size, "button_minus_f" )
    , ( R10.Svg.Icons.button_minus_l [] cl size, "button_minus_l" )
    , ( R10.Svg.Icons.button_plus_f [] cl size, "button_plus_f" )
    , ( R10.Svg.Icons.button_plus_l [] cl size, "button_plus_l" )
    , ( R10.Svg.Icons.calculator_f [] cl size, "calculator_f" )
    , ( R10.Svg.Icons.calculator_l [] cl size, "calculator_l" )
    , ( R10.Svg.Icons.calendar_f [] cl size, "calendar_f" )
    , ( R10.Svg.Icons.calendar_l [] cl size, "calendar_l" )
    , ( R10.Svg.Icons.campaign_f [] cl size, "campaign_f" )
    , ( R10.Svg.Icons.campaign_l [] cl size, "campaign_l" )
    , ( R10.Svg.Icons.car_f [] cl size, "car_f" )
    , ( R10.Svg.Icons.car_l [] cl size, "car_l" )
    , ( R10.Svg.Icons.cart_f [] cl size, "cart_f" )
    , ( R10.Svg.Icons.cart_l [] cl size, "cart_l" )
    , ( R10.Svg.Icons.change_order_l [] cl size, "change_order_l" )
    , ( R10.Svg.Icons.check [] cl size, "check" )
    , ( R10.Svg.Icons.chevron_left [] cl size, "chevron_left" )
    , ( R10.Svg.Icons.chevron_right [] cl size, "chevron_right" )
    , ( R10.Svg.Icons.cloud_f [] cl size, "cloud_f" )
    , ( R10.Svg.Icons.cloud_l [] cl size, "cloud_l" )
    , ( R10.Svg.Icons.code_f [] cl size, "code_f" )
    , ( R10.Svg.Icons.code_l [] cl size, "code_l" )
    , ( R10.Svg.Icons.comment_f [] cl size, "comment_f" )
    , ( R10.Svg.Icons.comment_l [] cl size, "comment_l" )
    , ( R10.Svg.Icons.compare_f [] cl size, "compare_f" )
    , ( R10.Svg.Icons.compare_l [] cl size, "compare_l" )
    , ( R10.Svg.Icons.coupon_f [] cl size, "coupon_f" )
    , ( R10.Svg.Icons.coupon_l [] cl size, "coupon_l" )
    , ( R10.Svg.Icons.credit_card_f [] cl size, "credit_card_f" )
    , ( R10.Svg.Icons.credit_card_l [] cl size, "credit_card_l" )
    , ( R10.Svg.Icons.currency_f [] cl size, "currency_f" )
    , ( R10.Svg.Icons.currency_l [] cl size, "currency_l" )
    , ( R10.Svg.Icons.delete_f [] cl size, "delete_f" )
    , ( R10.Svg.Icons.delete_l [] cl size, "delete_l" )
    , ( R10.Svg.Icons.delivery_f [] cl size, "delivery_f" )
    , ( R10.Svg.Icons.delivery_l [] cl size, "delivery_l" )
    , ( R10.Svg.Icons.desktop_f [] cl size, "desktop_f" )
    , ( R10.Svg.Icons.desktop_l [] cl size, "desktop_l" )
    , ( R10.Svg.Icons.domestic_area_f [] cl size, "domestic_area_f" )
    , ( R10.Svg.Icons.domestic_area_l [] cl size, "domestic_area_l" )
    , ( R10.Svg.Icons.download_f [] cl size, "download_f" )
    , ( R10.Svg.Icons.download_l [] cl size, "download_l" )
    , ( R10.Svg.Icons.eye_ban_f [] cl size, "eye_ban_f" )
    , ( R10.Svg.Icons.eye_ban_l [] cl size, "eye_ban_l" )
    , ( R10.Svg.Icons.eye_f [] cl size, "eye_f" )
    , ( R10.Svg.Icons.eye_l [] cl size, "eye_l" )
    , ( R10.Svg.Icons.favorite_f [] cl size, "favorite_f" )
    , ( R10.Svg.Icons.favorite_half_f [] cl size, "favorite_half_f" )
    , ( R10.Svg.Icons.favorite_l [] cl size, "favorite_l" )
    , ( R10.Svg.Icons.ferry_f [] cl size, "ferry_f" )
    , ( R10.Svg.Icons.ferry_l [] cl size, "ferry_l" )
    , ( R10.Svg.Icons.fill_color_f [] cl size, "fill_color_f" )
    , ( R10.Svg.Icons.fill_color_l [] cl size, "fill_color_l" )
    , ( R10.Svg.Icons.folder_f [] cl size, "folder_f" )
    , ( R10.Svg.Icons.folder_l [] cl size, "folder_l" )
    , ( R10.Svg.Icons.gift_f [] cl size, "gift_f" )
    , ( R10.Svg.Icons.gift_l [] cl size, "gift_l" )
    , ( R10.Svg.Icons.heart_f [] cl size, "heart_f" )
    , ( R10.Svg.Icons.heart_l [] cl size, "heart_l" )
    , ( R10.Svg.Icons.home_f [] cl size, "home_f" )
    , ( R10.Svg.Icons.home_l [] cl size, "home_l" )
    , ( R10.Svg.Icons.image_f [] cl size, "image_f" )
    , ( R10.Svg.Icons.image_l [] cl size, "image_l" )
    , ( R10.Svg.Icons.keyboard_f [] cl size, "keyboard_f" )
    , ( R10.Svg.Icons.keyboard_l [] cl size, "keyboard_l" )
    , ( R10.Svg.Icons.language_f [] cl size, "language_f" )
    , ( R10.Svg.Icons.language_l [] cl size, "language_l" )
    , ( R10.Svg.Icons.laptop_f [] cl size, "laptop_f" )
    , ( R10.Svg.Icons.laptop_l [] cl size, "laptop_l" )
    , ( R10.Svg.Icons.like_f [] cl size, "like_f" )
    , ( R10.Svg.Icons.like_l [] cl size, "like_l" )
    , ( R10.Svg.Icons.list_f [] cl size, "list_f" )
    , ( R10.Svg.Icons.list_l [] cl size, "list_l" )
    , ( R10.Svg.Icons.loading_l [] cl size, "loading_l" )
    , ( R10.Svg.Icons.location_f [] cl size, "location_f" )
    , ( R10.Svg.Icons.location_l [] cl size, "location_l" )
    , ( R10.Svg.Icons.login_l [] cl size, "login_l" )
    , ( R10.Svg.Icons.logout_l [] cl size, "logout_l" )
    , ( R10.Svg.Icons.lucky_kuji_f [] cl size, "lucky_kuji_f" )
    , ( R10.Svg.Icons.lucky_kuji_l [] cl size, "lucky_kuji_l" )
    , ( R10.Svg.Icons.mail_f [] cl size, "mail_f" )
    , ( R10.Svg.Icons.mail_l [] cl size, "mail_l" )
    , ( R10.Svg.Icons.map_f [] cl size, "map_f" )
    , ( R10.Svg.Icons.map_l [] cl size, "map_l" )
    , ( R10.Svg.Icons.menu [] cl size, "menu" )
    , ( R10.Svg.Icons.minus [] cl size, "minus" )
    , ( R10.Svg.Icons.mobile_phone_f [] cl size, "mobile_phone_f" )
    , ( R10.Svg.Icons.mobile_phone_l [] cl size, "mobile_phone_l" )
    , ( R10.Svg.Icons.movie_f [] cl size, "movie_f" )
    , ( R10.Svg.Icons.movie_l [] cl size, "movie_l" )
    , ( R10.Svg.Icons.new_user_f [] cl size, "new_user_f" )
    , ( R10.Svg.Icons.new_window_l [] cl size, "new_window_l" )
    , ( R10.Svg.Icons.notice_generic_f [] cl size, "notice_generic_f" )
    , ( R10.Svg.Icons.notice_generic_l [] cl size, "notice_generic_l" )
    , ( R10.Svg.Icons.notice_user_f [] cl size, "notice_user_f" )
    , ( R10.Svg.Icons.notice_user_l [] cl size, "notice_user_l" )
    , ( R10.Svg.Icons.paint_f [] cl size, "paint_f" )
    , ( R10.Svg.Icons.paint_l [] cl size, "paint_l" )
    , ( R10.Svg.Icons.paper_plane_f [] cl size, "paper_plane_f" )
    , ( R10.Svg.Icons.paper_plane_l [] cl size, "paper_plane_l" )
    , ( R10.Svg.Icons.pdf_f [] cl size, "pdf_f" )
    , ( R10.Svg.Icons.pdf_l [] cl size, "pdf_l" )
    , ( R10.Svg.Icons.phone_f [] cl size, "phone_f" )
    , ( R10.Svg.Icons.phone_l [] cl size, "phone_l" )
    , ( R10.Svg.Icons.photograph_f [] cl size, "photograph_f" )
    , ( R10.Svg.Icons.photograph_l [] cl size, "photograph_l" )
    , ( R10.Svg.Icons.pin_f [] cl size, "pin_f" )
    , ( R10.Svg.Icons.pin_l [] cl size, "pin_l" )
    , ( R10.Svg.Icons.plane_f [] cl size, "plane_f" )
    , ( R10.Svg.Icons.plane_l [] cl size, "plane_l" )
    , ( R10.Svg.Icons.plus [] cl size, "plus" )
    , ( R10.Svg.Icons.point_f [] cl size, "point_f" )
    , ( R10.Svg.Icons.point_l [] cl size, "point_l" )
    , ( R10.Svg.Icons.price_f [] cl size, "price_f" )
    , ( R10.Svg.Icons.price_l [] cl size, "price_l" )
    , ( R10.Svg.Icons.print_f [] cl size, "print_f" )
    , ( R10.Svg.Icons.print_l [] cl size, "print_l" )
    , ( R10.Svg.Icons.purchase_history_f [] cl size, "purchase_history_f" )
    , ( R10.Svg.Icons.purchase_history_l [] cl size, "purchase_history_l" )
    , ( R10.Svg.Icons.qrcode_f [] cl size, "qrcode_f" )
    , ( R10.Svg.Icons.qrcode_l [] cl size, "qrcode_l" )
    , ( R10.Svg.Icons.rakuten_account_f [] cl size, "rakuten_account_f" )
    , ( R10.Svg.Icons.rakuten_account_l [] cl size, "rakuten_account_l" )
    , ( R10.Svg.Icons.rakuten_registration_f [] cl size, "rakuten_registration_f" )
    , ( R10.Svg.Icons.rakuten_registration_l [] cl size, "rakuten_registration_l" )
    , ( R10.Svg.Icons.ranking_f [] cl size, "ranking_f" )
    , ( R10.Svg.Icons.ranking_l [] cl size, "ranking_l" )
    , ( R10.Svg.Icons.refresh [] cl size, "refresh" )
    , ( R10.Svg.Icons.review_comment_f [] cl size, "review_comment_f" )
    , ( R10.Svg.Icons.review_comment_l [] cl size, "review_comment_l" )
    , ( R10.Svg.Icons.review_edit_f [] cl size, "review_edit_f" )
    , ( R10.Svg.Icons.review_edit_l [] cl size, "review_edit_l" )
    , ( R10.Svg.Icons.rss_symbol_l [] cl size, "rss_symbol_l" )
    , ( R10.Svg.Icons.rss_text_f [] cl size, "rss_text_f" )
    , ( R10.Svg.Icons.rss_text_l [] cl size, "rss_text_l" )
    , ( R10.Svg.Icons.save_f [] cl size, "save_f" )
    , ( R10.Svg.Icons.save_l [] cl size, "save_l" )
    , ( R10.Svg.Icons.search_history_f [] cl size, "search_history_f" )
    , ( R10.Svg.Icons.search_history_l [] cl size, "search_history_l" )
    , ( R10.Svg.Icons.search [] cl size, "search" )
    , ( R10.Svg.Icons.security_f [] cl size, "security_f" )
    , ( R10.Svg.Icons.security_l [] cl size, "security_l" )
    , ( R10.Svg.Icons.server_f [] cl size, "server_f" )
    , ( R10.Svg.Icons.server_l [] cl size, "server_l" )
    , ( R10.Svg.Icons.settings_f [] cl size, "settings_f" )
    , ( R10.Svg.Icons.settings_l [] cl size, "settings_l" )
    , ( R10.Svg.Icons.share_f [] cl size, "share_f" )
    , ( R10.Svg.Icons.share_l [] cl size, "share_l" )
    , ( R10.Svg.Icons.shop_f [] cl size, "shop_f" )
    , ( R10.Svg.Icons.shop_l [] cl size, "shop_l" )
    , ( R10.Svg.Icons.sign_ban_f [] cl size, "sign_ban_f" )
    , ( R10.Svg.Icons.sign_ban_l [] cl size, "sign_ban_l" )
    , ( R10.Svg.Icons.sign_help_f [] cl size, "sign_help_f" )
    , ( R10.Svg.Icons.sign_help_l [] cl size, "sign_help_l" )
    , ( R10.Svg.Icons.sign_info_f [] cl size, "sign_info_f" )
    , ( R10.Svg.Icons.sign_info_l [] cl size, "sign_info_l" )
    , ( R10.Svg.Icons.sign_warning_f [] cl size, "sign_warning_f" )
    , ( R10.Svg.Icons.sign_warning_l [] cl size, "sign_warning_l" )
    , ( R10.Svg.Icons.sliders_f [] cl size, "sliders_f" )
    , ( R10.Svg.Icons.sliders_l [] cl size, "sliders_l" )
    , ( R10.Svg.Icons.smartphone_f [] cl size, "smartphone_f" )
    , ( R10.Svg.Icons.smartphone_l [] cl size, "smartphone_l" )
    , ( R10.Svg.Icons.survey_f [] cl size, "survey_f" )
    , ( R10.Svg.Icons.survey_l [] cl size, "survey_l" )
    , ( R10.Svg.Icons.switch_language_f [] cl size, "switch_language_f" )
    , ( R10.Svg.Icons.switch_language_l [] cl size, "switch_language_l" )
    , ( R10.Svg.Icons.tablet_f [] cl size, "tablet_f" )
    , ( R10.Svg.Icons.tablet_l [] cl size, "tablet_l" )
    , ( R10.Svg.Icons.tag_f [] cl size, "tag_f" )
    , ( R10.Svg.Icons.tag_l [] cl size, "tag_l" )
    , ( R10.Svg.Icons.time_f [] cl size, "time_f" )
    , ( R10.Svg.Icons.time_l [] cl size, "time_l" )
    , ( R10.Svg.Icons.train_f [] cl size, "train_f" )
    , ( R10.Svg.Icons.train_l [] cl size, "train_l" )
    , ( R10.Svg.Icons.upload_f [] cl size, "upload_f" )
    , ( R10.Svg.Icons.upload_l [] cl size, "upload_l" )
    , ( R10.Svg.Icons.voice_input_f [] cl size, "voice_input_f" )
    , ( R10.Svg.Icons.voice_input_l [] cl size, "voice_input_l" )
    , ( R10.Svg.Icons.walking_f [] cl size, "walking_f" )
    , ( R10.Svg.Icons.world_f [] cl size, "world_f" )
    , ( R10.Svg.Icons.world_l [] cl size, "world_l" )
    , ( R10.Svg.Icons.x [] cl size, "x" )
    , ( R10.Svg.Icons.zip_f [] cl size, "zip_f" )
    , ( R10.Svg.Icons.zip_l [] cl size, "zip_l" )
    , ( R10.Svg.Icons.zoom_in_f [] cl size, "zoom_in_f" )
    , ( R10.Svg.Icons.zoom_in_l [] cl size, "zoom_in_l" )
    , ( R10.Svg.Icons.zoom_out_f [] cl size, "zoom_out_f" )
    , ( R10.Svg.Icons.zoom_out_l [] cl size, "zoom_out_l" )
    ]
